require_relative 'lib/f_phone/version'

Gem::Specification.new do |spec|
  spec.name          = "f_phone"
  spec.version       = FPhone::VERSION
  spec.authors       = ["Nguyen Van Thuan"]
  spec.email         = ["thuan.nguyenvan0501@gmail.com"]

  spec.summary       = %q{This gem provide you library to validate, format phone number,... in Viet Nam}
  spec.description   = %q{Used to validate phone numbers, format phone numbers according to international standards or Vietnamese standards, 
                          extract the country code (country name) via phone number, 
                          check the phone number of the network (within the range Viet Nam) then return to the network provider providing the phone number}
  spec.homepage      = "https://rubygems.org/gems/f_phone"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  # spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
